## ros-melodic-concert-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_msgs)

##############################################################################
# Dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    gateway_msgs
    message_generation 
    rocon_app_manager_msgs
    rocon_std_msgs
    std_msgs
    uuid_msgs
)

##############################################################################
# Messgaes
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  ConcertClient.msg
  ConcertClients.msg
  ConcertClientState.msg
  ConductorGraph.msg
  ErrorCodes.msg
  LinkConnection.msg
  LinkEdge.msg
  LinkGraph.msg
  LinkNode.msg
  ServiceProfile.msg
  Services.msg
  SoftwareProfile.msg
  SoftwareProfiles.msg
  SoftwareInstance.msg
  SoftwareInstances.msg
  Strings.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  EnableService.srv
  UpdateServiceConfig.srv
  AllocateSoftware.srv
)

generate_messages(DEPENDENCIES
    gateway_msgs
    rocon_app_manager_msgs
    rocon_std_msgs
    std_msgs 
    uuid_msgs
)

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS 
                   gateway_msgs
                   message_runtime
                   rocon_app_manager_msgs
                   rocon_std_msgs
                   std_msgs
                   uuid_msgs
               )

=== debian/changelog ===
ros-melodic-concert-msgs (0.9.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2019 03:33:04 -0000

ros-melodic-concert-msgs (0.8.0-0bionic) bionic; urgency=high

  * conductor now using fewer states, messages updated to match
  * platform info deprecated, using master info now

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 18 Aug 2015 04:00:00 -0000

ros-melodic-concert-msgs (0.7.11-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-concert-msgs (0.7.10-0bionic) bionic; urgency=high

  * to support param in software https://github.com/robotics-in-concert/rocon_concert/issues/279
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-concert-msgs (0.7.9-0bionic) bionic; urgency=high

  * remove enabled field closes #107 <https://github.com/robotics-in-concert/rocon_msgs/issues/107>
  * merge from indigo branch
  * fix indent
  * separate profile message and instance message. they are carrying different info
  * updates
  * delete unused property and type and name change of parameter_detail
    create update service config service msg and fix profile msg type
    fix type
  * add real data field regarding parameter, interaction, launch
  * rename requester to user
  * add requester
  * add software list msg
  * add allocate software srv
  * add software namespace
  * remove launcher type
  * add resource name
  * replace interface with namespace
  * add software profile
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-concert-msgs (0.7.8-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-concert-msgs (0.7.6-0bionic) bionic; urgency=high

  * Export architecture_independent flag in package.xml
  * add public parameters in resource
  * Contributors: Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-concert-msgs (0.7.4-0bionic) bionic; urgency=high

  * concert client messages with a more expansive set of states.
  * conductor graph msg listing concert clients of all states (useful for monitoring).
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 04:00:00 -0000

ros-melodic-concert-msgs (0.7.1-0bionic) bionic; urgency=high

  * Next iteration of role manager messages and services (#26 <https://github.com/robotics-in-concert/rocon_msgs/pull/26>).

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Apr 2014 04:00:00 -0000

ros-melodic-concert-msgs (0.6.3-0bionic) bionic; urgency=high

  * added a service name to uniquely separate same services in a solution.
  * role manager messages, closes #24 <https://github.com/robotics-in-concert/rocon_msgs/issues/24>
  * rocon_std_msgs centralises some app manager messages for sharing.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Oct 2013 04:00:00 -0000

ros-melodic-concert-msgs (0.6.2-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-concert-msgs (0.6.1-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-melodic-concert-msgs (0.6.0-0bionic) bionic; urgency=high

  * remove unused zeroconf_msgs dependency.
  * AppDescription->App

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 22:58:00 -0000

ros-melodic-concert-msgs (0.5.3-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 23:04:00 -0000

ros-melodic-concert-msgs (0.5.2-0bionic) bionic; urgency=high

  * remove unused zeroconf_msgs dependency.
  * AppDescription->App

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-melodic-concert-msgs (0.5.1-0bionic) bionic; urgency=high

  * 0.5.0
  * proper dependency exporting for rocon msgs.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Jun 2013 17:28:55 -0400

ros-melodic-concert-msgs (0.5.0-0bionic) bionic; urgency=high

  * added forced matching parameter.
  * min, max added to node parameters.
  * splitting human friendly and gateway name identification.
  * splitting human friendly and gateway name identification.
  * 0.4.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 04:00:00 -0000

ros-melodic-concert-msgs (0.3.0-0bionic) bionic; urgency=high

  * fix broken cmake for reshuffled messages.
  * update jihoon email
  * invitation now handled directly by the app manager.
  * concert status -> app manager status, part of first redesign.
  * platform info constants -> platform info msg.
  * finished testing.
  * testing pre-release with qt4 rosdep.
  * Merge branch 'groovy-devel' of https://github.com/robotics-in-concert/rocon_msgs into groovy-devel
  * testing pre-release with qt4 rosdep.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 05:00:00 -0000

ros-melodic-concert-msgs (0.2.1-0bionic) bionic; urgency=high

  * PlatformInfo msg GetPlatformInfo srv moved from concert to app manager. RemoteGatewayInfo srv typo
  * platform info to rocon_app_manager_msgs
  * merge zeroconfmsgs bugfix.
  * refactoring app->rapp.
  * bugfix typo in build_depend as well.
  * bugfix typo in rosdep zeroconf_msgs.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Jan 2013 05:00:00 -0000

ros-melodic-concert-msgs (0.2.0-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 19:15:44 -0000

ros-melodic-concert-msgs (0.1.4-0bionic) bionic; urgency=high

  * simplified start solution.
  * updates to the idea of implementation.
  * ROBOT_ANY constant added.
  * Link graph messages.
  * concert client configuration updates for orchestration.
  * reinstated apps into client information.


=== debian/control ===
Source: ros-melodic-concert-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gateway-msgs, ros-melodic-message-generation, ros-melodic-rocon-app-manager-msgs, ros-melodic-rocon-std-msgs, ros-melodic-std-msgs, ros-melodic-uuid-msgs
Homepage: http://www.ros.org/wiki/concert_msgs
Standards-Version: 3.9.2

Package: ros-melodic-concert-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gateway-msgs, ros-melodic-message-runtime, ros-melodic-rocon-app-manager-msgs, ros-melodic-rocon-std-msgs, ros-melodic-std-msgs, ros-melodic-uuid-msgs
Description: Shared communication types for the concert framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-concert-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
